#ifndef ADDRESSBOOK_H
#define ADDRESSBOOK_H

 #include <QtGui/QWidget>
    #include <QtGui/QPushButton>
    #include <QtGui/QLineEdit>
    #include <QtGui/QTextEdit>
    #include <QtGui/QMessageBox>

enum Mode {NavigationMode, AddingMode, EditingMode };

namespace Ui
{
    class AddressBook;
}

class AddressBook : public QWidget
{
    Q_OBJECT

public:
    AddressBook(QWidget *parent = 0);
    ~AddressBook();

public slots:
    void addContact();
    void submitContact();
    void cancel();
    void next();
    void previous();
    void removeContact();
    void editContact();

private:
    Ui::AddressBook *ui;

    void updateInterface(Mode mode);
    QPushButton *addButton;
    QPushButton *submitButton;
    QPushButton *cancelButton;
    QPushButton *nextButton;
    QPushButton *previousButton;
    QPushButton *removeButton;
    QPushButton *editButton;
    QLineEdit *nameEdit;
    QTextEdit *addressText;

    QMap<QString, QString> contacts;
    QString oldName;
    QString oldAddress;

    Mode currentMode;
};

#endif // ADDRESSBOOK_H
